import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HealthmonitorEditComponent } from './healthmonitor-edit.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('HealthmonitorEditComponent', () => {
  let component: HealthmonitorEditComponent;
  let fixture: ComponentFixture<HealthmonitorEditComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HealthmonitorEditComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HealthmonitorEditComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
